View Issue Details

IDProjectCategoryView StatusLast Update
15045Bug reportsPluginspublic2020-03-09 15:36
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC2 
Fixed in Version4.0.0-RC2 
Summary15045: Unable to activate AuditLog plugin
Description

Receive an error when try to activate AuditLog about ENGINE =

Steps To Reproduce

Scan files,
Install AuditLog : OK
Activate AuditLog : KO

Additional Information

Think it's due to https://github.com/LimeSurvey/LimeSurvey/commit/4f97fb02e96c2526fab1ef6db5e9cc73eebc1943#diff-97384261b8bbf966df16e5ad509922db

Because ENGINE = not set for table plugin ?

I update from old 3.X with old config too.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0 d34a697454
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Activities

DenisChenu

DenisChenu

2019-07-14 16:51

developer  

CDbException.html (25,431 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CDbException</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>CDbException</h1>

	<p class="message">
		CDbCommand failed to execute the SQL statement: SQLSTATE[42000]: 
Syntax error or access violation: 1064 You have an error in your SQL 
syntax; check the manual that corresponds to your MariaDB server version
 for the right syntax to use near '' at line 11. The SQL statement 
executed was: CREATE TABLE `lime_auditlog_log` (<br>
	`id` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,<br>
	`created` datetime,<br>
	`uid` varchar(255),<br>
	`entity` varchar(255),<br>
	`entityid` varchar(255),<br>
	`action` varchar(255),<br>
	`fields` text,<br>
	`oldvalues` text,<br>
	`newvalues` text<br>
)  ENGINE =  	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/develop/framework/db/CDbCommand.php(358)</p>
		<div class="code"><pre><span class="ln">346</span>         {
<span class="ln">347</span>             if($this-&gt;_connection-&gt;enableProfiling)
<span class="ln">348</span>                 Yii::endProfile('system.db.CDbCommand.execute('.$this-&gt;getText().$par.')','system.db.CDbCommand.execute');
<span class="ln">349</span> 
<span class="ln">350</span>             $errorInfo=$e instanceof PDOException ? $e-&gt;errorInfo : null;
<span class="ln">351</span>             $message=$e-&gt;getMessage();
<span class="ln">352</span>             Yii::log(Yii::t('yii','CDbCommand::execute() failed: {error}. The SQL statement executed was: {sql}.',
<span class="ln">353</span>                 array('{error}'=&gt;$message, '{sql}'=&gt;$this-&gt;getText().$par)),CLogger::LEVEL_ERROR,'system.db.CDbCommand');
<span class="ln">354</span> 
<span class="ln">355</span>             if(YII_DEBUG)
<span class="ln">356</span>                 $message.='. The SQL statement executed was: '.$this-&gt;getText().$par;
<span class="ln">357</span> 
<span class="error"><span class="ln error-ln">358</span>             throw new CDbException(Yii::t('yii','CDbCommand failed to execute the SQL statement: {error}',
</span><span class="ln">359</span>                 array('{error}'=&gt;$message)),(int)$e-&gt;getCode(),$errorInfo);
<span class="ln">360</span>         }
<span class="ln">361</span>     }
<span class="ln">362</span> 
<span class="ln">363</span>     /**
<span class="ln">364</span>      * Executes the SQL statement and returns query result.
<span class="ln">365</span>      * This method is for executing an SQL query that returns result set.
<span class="ln">366</span>      * @param array $params input parameters (name=&gt;value) for the SQL execution. This is an alternative
<span class="ln">367</span>      * to {@link bindParam} and {@link bindValue}. If you have multiple input parameters, passing
<span class="ln">368</span>      * them in this way can improve the performance. Note that if you pass parameters in this way,
<span class="ln">369</span>      * you cannot bind parameters or values using {@link bindParam} or {@link bindValue}, and vice versa.
<span class="ln">370</span>      * Please also note that all values are treated as strings in this case, if you need them to be handled as
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/db/CDbCommand.php(1352): <strong>CDbCommand</strong>-&gt;<strong>execute</strong>()				</div>

				<div class="code"><pre><span class="ln">1347</span>      * @return integer 0 is always returned. See {@link http://php.net/manual/en/pdostatement.rowcount.php} for more information.
<span class="ln">1348</span>      * @since 1.1.6
<span class="ln">1349</span>      */
<span class="ln">1350</span>     public function createTable($table, $columns, $options=null)
<span class="ln">1351</span>     {
<span class="error"><span class="ln error-ln">1352</span>         return $this-&gt;setText($this-&gt;getConnection()-&gt;getSchema()-&gt;createTable($table, $columns, $options))-&gt;execute();
</span><span class="ln">1353</span>     }
<span class="ln">1354</span> 
<span class="ln">1355</span>     /**
<span class="ln">1356</span>      * Builds and executes a SQL statement for renaming a DB table.
<span class="ln">1357</span>      * @param string $table the table to be renamed. The name will be properly quoted by the method.
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/libraries/PluginManager/LimesurveyApi.php(64): <strong>CDbCommand</strong>-&gt;<strong>createTable</strong>("lime_auditlog_log",
 array("id" =&gt; "pk", "created" =&gt; "datetime", "uid" =&gt; 
"string", "entity" =&gt; "string", ...), " ENGINE =  ")				</div>

				<div class="code"><pre><span class="ln">59</span>      * @return integer number of rows affected by the execution.
<span class="ln">60</span>      */
<span class="ln">61</span>     public function createTable($plugin, $sTableName, $aColumns, $sOptions = null)
<span class="ln">62</span>     {
<span class="ln">63</span>         if (null !== $sTableName = $this-&gt;getTableName($plugin, $sTableName)) {
<span class="error"><span class="ln error-ln">64</span>             return App()-&gt;getDb()-&gt;createCommand()-&gt;createTable($sTableName, $aColumns, $sOptions);
</span><span class="ln">65</span>         }
<span class="ln">66</span>         return false;
<span class="ln">67</span>     }
<span class="ln">68</span> 
<span class="ln">69</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/plugins/AuditLog/AuditLog.php(573): <strong>LimeSurvey\PluginManager\LimesurveyApi</strong>-&gt;<strong>createTable</strong>(AuditLog,
 "lime_auditlog_log", array("id" =&gt; "pk", "created" =&gt; "datetime",
 "uid" =&gt; "string", "entity" =&gt; "string", ...), " ENGINE =  ")				</div>

				<div class="code"><pre><span class="ln">568</span>                     'entity'=&gt;'string',
<span class="ln">569</span>                     'entityid'=&gt;'string',
<span class="ln">570</span>                     'action'=&gt;'string',
<span class="ln">571</span>                     'fields'=&gt;'text',
<span class="ln">572</span>                     'oldvalues'=&gt;'text',
<span class="error"><span class="ln error-ln">573</span>                     'newvalues'=&gt;'text'), $options);
</span><span class="ln">574</span>             }
<span class="ln">575</span>         }
<span class="ln">576</span> 
<span class="ln">577</span>         /**
<span class="ln">578</span>         * This event is fired by the administration panel to gather extra settings
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>AuditLog</strong>-&gt;<strong>beforeActivate</strong>()				</div>

							</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/libraries/PluginManager/PluginManager.php(258): <strong>call_user_func</strong>(array(AuditLog, "beforeActivate"))				</div>

				<div class="code"><pre><span class="ln">253</span>         if (isset($this-&gt;subscriptions[$eventName])) {
<span class="ln">254</span>             foreach ($this-&gt;subscriptions[$eventName] as $subscription) {
<span class="ln">255</span>                 if (!$event-&gt;isStopped()
<span class="ln">256</span>                  &amp;&amp; (empty($target) || in_array(get_class($subscription[0]), $target))) {
<span class="ln">257</span>                     $subscription[0]-&gt;setEvent($event);
<span class="error"><span class="ln error-ln">258</span>                     call_user_func($subscription);
</span><span class="ln">259</span>                 }
<span class="ln">260</span>             }
<span class="ln">261</span>         }
<span class="ln">262</span> 
<span class="ln">263</span>         return $event;
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/admin/PluginManagerController.php(152): <strong>LimeSurvey\PluginManager\PluginManager</strong>-&gt;<strong>dispatchEvent</strong>(PluginEvent, array("AuditLog"))				</div>

				<div class="code"><pre><span class="ln">147</span>         if ($oPlugin &amp;&amp; $oPlugin-&gt;active == 0) {
<span class="ln">148</span>             // Load the plugin:
<span class="ln">149</span>             App()-&gt;getPluginManager()-&gt;loadPlugin($oPlugin-&gt;name, $pluginId);
<span class="ln">150</span>             $result = App()-&gt;getPluginManager()-&gt;dispatchEvent(
<span class="ln">151</span>                 new PluginEvent('beforeActivate', $this),
<span class="error"><span class="ln error-ln">152</span>                 $oPlugin-&gt;name
</span><span class="ln">153</span>             );
<span class="ln">154</span>             if ($result-&gt;get('success', true)) {
<span class="ln">155</span>                 $oPlugin-&gt;active = 1;
<span class="ln">156</span>                 $oPlugin-&gt;save();
<span class="ln">157</span>                 Yii::app()-&gt;user-&gt;setFlash('success', gT('Plugin was activated.'));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>PluginManagerController</strong>-&gt;<strong>activate</strong>()				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(PluginManagerController, array())				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/core/Survey_Common_Action.php(83): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(PluginManagerController, ReflectionMethod, array("r" =&gt; "admin/pluginmanager", "sa" =&gt; "activate"))				</div>

				<div class="code"><pre><span class="ln">78</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">79</span>         }
<span class="ln">80</span> 
<span class="ln">81</span>         // We're all good to go, let's execute it
<span class="ln">82</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">83</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">84</span>     }
<span class="ln">85</span> 
<span class="ln">86</span>     /**
<span class="ln">87</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">88</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r" =&gt; "admin/pluginmanager", "sa" =&gt; "activate"))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(PluginManagerController)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(PluginManagerController, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/AdminController.php(158): <strong>CController</strong>-&gt;<strong>run</strong>("pluginmanager")				</div>

				<div class="code"><pre><span class="ln">153</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">154</span>                 }
<span class="ln">155</span>             }
<span class="ln">156</span>         }
<span class="ln">157</span> 
<span class="error"><span class="ln error-ln">158</span>         return parent::run($action);
</span><span class="ln">159</span>     }
<span class="ln">160</span> 
<span class="ln">161</span>     /**
<span class="ln">162</span>      * Routes all the actions to their respective places
<span class="ln">163</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("pluginmanager")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/pluginmanager")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/index.php(195): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">190</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">191</span> 
<span class="ln">192</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">193</span> 
<span class="ln">194</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">195</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">196</span> 
<span class="ln">197</span> /* End of file index.php */
<span class="ln">198</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2019-07-14 14:47:04 nginx/1.14.2 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.21	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
CDbException.html (25,431 bytes)   
DenisChenu

DenisChenu

2019-07-14 17:02

developer   ~52870

OK fixed adding mysqlEngine in config-default BUT !

2 way to fix it , unsure of the best

  1. Check if it's empty, didn't set (then get the SQL default one) : https://github.com/LimeSurvey/LimeSurvey/commit/5816d10af42e69e11289d999187133f8fc569ca4#diff-4a95ed4f80f8713aaa18250f998ddfafR150
  2. Add it in config-default : https://github.com/LimeSurvey/LimeSurvey/commit/b4c63a3b55c7fc2f92147c9a30e919eff862ed2c , then previous one never happen …

Can you check ? Can we discuss for the best ?

TonisOrmisson

TonisOrmisson

2019-07-15 20:28

developer   ~52892

I think the config should always provide a value for mysqlengine. I would put this to config-defaults for any fallback cases. But its just form top of my head.

DenisChenu

DenisChenu

2019-07-15 23:43

developer   ~52894

OK, then must partially revert https://github.com/LimeSurvey/LimeSurvey/commit/5816d10af42e69e11289d999187133f8fc569ca4#diff-4a95ed4f80f8713aaa18250f998ddfafR150
Since !empty(Yii::app()->getConfig('mysqlEngine')) is always true

Issue History

Date Modified Username Field Change
2019-07-14 16:51 DenisChenu New Issue
2019-07-14 16:51 DenisChenu Status new => assigned
2019-07-14 16:51 DenisChenu Assigned To => TonisOrmisson
2019-07-14 16:51 DenisChenu File Added: CDbException.html
2019-07-14 16:55 DenisChenu Assigned To TonisOrmisson => DenisChenu
2019-07-14 17:02 DenisChenu Assigned To DenisChenu => TonisOrmisson
2019-07-14 17:02 DenisChenu Status assigned => feedback
2019-07-14 17:02 DenisChenu Note Added: 52870
2019-07-15 20:28 TonisOrmisson Note Added: 52892
2019-07-15 23:43 DenisChenu Note Added: 52894
2019-07-15 23:43 DenisChenu Status feedback => assigned
2019-07-15 23:43 DenisChenu Assigned To TonisOrmisson => DenisChenu
2019-07-15 23:43 DenisChenu Status assigned => resolved
2019-07-15 23:43 DenisChenu Resolution open => fixed
2019-07-15 23:43 DenisChenu Fixed in Version => 4.0.0-RC2
2020-03-09 15:36 c_schmitz Status resolved => closed